% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/0-utils.R
\name{calculate_number_scores}
\alias{calculate_number_scores}
\title{Calculate Similarity Scores Between Two Numeric Lists}
\usage{
calculate_number_scores(
  list1,
  list2,
  method,
  epsilon = NULL,
  max_diff = NULL,
  epsilon_pct = NULL
)
}
\arguments{
\item{list1}{First list of numeric values}

\item{list2}{Second list of numeric values}

\item{method}{Method to use for similarity calculation. One of: "exact", "percent", "normalized", "fuzzy", "exp", "raw"}

\item{epsilon}{Threshold for fuzzy matching. Only used when method is "fuzzy"}

\item{max_diff}{Maximum difference for normalization. Only used when method is "normalized"}

\item{epsilon_pct}{Relative epsilon percentile (default: 0.02 or 2\%). Only used when method is "fuzzy"}
}
\value{
Vector of numeric similarity scores between 0 and 1
}
\description{
Calculate Similarity Scores Between Two Numeric Lists
}
\keyword{internal}
